- Home
- API Enriched
- Shape
- shape
- List All Form Fields.
List All Form Fields.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","filters":{"form_field_analysis_filter":{"analysis_strings":["example"],"op":"IN"},"form_field_name_filter":{"name_strings":["example"],"op":"IN"}},"namespace":"example","page_number":1,"page_size":1,"page_token":"example","sorts":[{"field":"example","order":"DESCENDING"}],"start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/formFields \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "filters": { "form_field_analysis_filter": { "analysis_strings": [ "example" ], "op": "IN" }, "form_field_name_filter": { "name_strings": [ "example" ], "op": "IN" } }, "namespace": "example", "page_number": 1, "page_size": 1, "page_token": "example", "sorts": [ { "field": "example", "order": "DESCENDING" } ], "start_time": "example" }'List form fields for all the scripts depending on start time and end time.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to list form fields of all the scripts.
object
Format: unix epoch timestamp in seconds fetch form fields whose timestamp <= end_time Required: YES.
object
object
An unordered list of script status strings Required: YES.
object
An unordered list of form field name strings Required: YES.
Namespace
One-indexed page number (starts from 1), page_number and page_size are optional when page_token is specified.
The maximum number of scripts to return per page.
Page_token is the value of listformfieldsresponse.next_page_token from previous request.
Additional sort criteria.
API query sort criteria.
object
Field specification or configuration
Format: unix epoch timestamp in seconds fetch form fields whose timestamp >= start_time Required: YES.
Responses
Section titled “Responses”A successful response.
Response to list form fields of all the scripts.
object
List of form fields for all the scripts.
Form field info of all the scripts.
object
object
Updated by.
Value of the form field analysed by Client side defense.
Associated script which read the form field first.
Format: unix epoch timestamp in milliseconds First read time.
ID of the form field.
Format: unix epoch timestamp in milliseconds Last read time.
Locations where the form field is present.
Name of the form field.
Opaque value passed back alone with the additional calls. All filtering will stay the same.
One-indexed page number.
The maximum number of scripts to return per page.
Total count of scripts available at time of query, and subject to change across queries.
Total number of pages available depending upon requested page_size.
Total size of scripts.
Examplegenerated
{ "form_fields": [ { "analysis": { "updated_by": "example", "value": "example" }, "associated_scripts": [ "example" ], "first_read": "example", "id": "example", "last_read": "example", "locations": [ "example" ], "name": "example" } ], "next_page_token": "example", "page_number": 1, "page_size": 1, "total_count": 1, "total_pages": 1, "total_size": 1}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example